Bug 204525 - Review Request: eclipse-gef - Eclipse Graphical Editing Framework
Review Request: eclipse-gef - Eclipse Graphical Editing Framework
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anthony Green
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-08-29 15:13 EDT by Andrew Overholt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 14:28:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2006-08-29 15:13:28 EDT
Spec URL: http://people.redhat.com/~overholt/eclipse-gef.spec
SRPM URL: http://people.redhat.com/~overholt/eclipse-gef-3.2.0-2.src.rpm
Description: The Graphical Editing Framework (GEF) allows developers to take an existing application model and quickly create a rich graphical editor.
Comment 1 Anthony Green 2006-08-29 16:02:25 EDT
rpmlint has the following complaints.  I think it should be easy to clean them
all up.  Let me know if you have questions about them.  Also, spelling error:
"demostrates".  I have other questions as well, but let's start with these:

[root@berkeley ~]# rpmlint /usr/src/redhat/SRPMS/eclipse-gef-3.2.0-2.src.rpm
W: eclipse-gef non-standard-group Text Editors/Integrated Development
Environments (IDE)
W: eclipse-gef invalid-license Eclipse Public License - v 1.0 (EPL)
<http://www.eclipse.org/legal/epl-v10.html>
W: eclipse-gef macro-in-%changelog java_home
W: eclipse-gef mixed-use-of-spaces-and-tabs

[root@berkeley ~]# rpmlint /usr/src/redhat/RPMS/i386/eclipse-gef-3.2.0-2.i386.rpm
W: eclipse-gef non-standard-group Text Editors/Integrated Development
Environments (IDE)
W: eclipse-gef invalid-license Eclipse Public License - v 1.0 (EPL)
<http://www.eclipse.org/legal/epl-v10.html>
W: eclipse-gef no-documentation
W: eclipse-gef one-line-command-in-%post /usr/bin/rebuild-gcj-db
W: eclipse-gef one-line-command-in-%postun /usr/bin/rebuild-gcj-db
Comment 2 Andrew Overholt 2006-08-29 16:26:06 EDT
(In reply to comment #1)
> Also, spelling error: "demostrates".

Oops.  Fixed.

> [root@berkeley ~]# rpmlint /usr/src/redhat/SRPMS/eclipse-gef-3.2.0-2.src.rpm
> W: eclipse-gef non-standard-group Text Editors/Integrated Development
> Environments (IDE)
> W: eclipse-gef invalid-license Eclipse Public License - v 1.0 (EPL)
> <http://www.eclipse.org/legal/epl-v10.html>

These are obviously not errors.  The groups thing is wrong AFAIK since nothing's
been standardized and that's what we're using for Eclipse itself and Subclipse
just got approved with it.

> W: eclipse-gef macro-in-%changelog java_home
> W: eclipse-gef mixed-use-of-spaces-and-tabs

Fixed.

> W: eclipse-gef no-documentation

Hmm.  I don't know what to do about this one.  The doc plugins are in the -sdk
sub-package.

> W: eclipse-gef one-line-command-in-%post /usr/bin/rebuild-gcj-db
> W: eclipse-gef one-line-command-in-%postun /usr/bin/rebuild-gcj-db

Fixed.

Updated spec URL: http://people.redhat.com/~overholt/eclipse-gef.spec
Updated SRPM URL: http://people.redhat.com/~overholt/eclipse-gef-3.2.0-2.src.rpm
Comment 3 Anthony Green 2006-08-29 22:10:43 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > [root@berkeley ~]# rpmlint /usr/src/redhat/SRPMS/eclipse-gef-3.2.0-2.src.rpm
> > W: eclipse-gef non-standard-group Text Editors/Integrated Development
> > Environments (IDE)
> > W: eclipse-gef invalid-license Eclipse Public License - v 1.0 (EPL)
> > <http://www.eclipse.org/legal/epl-v10.html>
> 
> These are obviously not errors.  The groups thing is wrong AFAIK since nothing's
> been standardized and that's what we're using for Eclipse itself and Subclipse
> just got approved with it.

Do you have a reference to the subclipse review bugzilla?

> Updated spec URL: http://people.redhat.com/~overholt/eclipse-gef.spec
> Updated SRPM URL: http://people.redhat.com/~overholt/eclipse-gef-3.2.0-2.src.rpm

Build error...
/usr/share/eclipse/readme/readme_gef.html is installed but unpackaged.

Comment 4 Andrew Overholt 2006-08-29 22:45:55 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > (In reply to comment #1)
> > > [root@berkeley ~]# rpmlint /usr/src/redhat/SRPMS/eclipse-gef-3.2.0-2.src.rpm
> > > W: eclipse-gef non-standard-group Text Editors/Integrated Development
> > > Environments (IDE)
> > > W: eclipse-gef invalid-license Eclipse Public License - v 1.0 (EPL)
> > > <http://www.eclipse.org/legal/epl-v10.html>
> > 
> > These are obviously not errors.  The groups thing is wrong AFAIK since nothing's
> > been standardized and that's what we're using for Eclipse itself and Subclipse
> > just got approved with it.
> 
> Do you have a reference to the subclipse review bugzilla?

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=191017

> > Updated spec URL: http://people.redhat.com/~overholt/eclipse-gef.spec
> > Updated SRPM URL: http://people.redhat.com/~overholt/eclipse-gef-3.2.0-2.src.rpm
> 
> Build error...
> /usr/share/eclipse/readme/readme_gef.html is installed but unpackaged.

Gah, I'm an idiot.  Fixed.

Updated spec URL: http://people.redhat.com/~overholt/eclipse-gef.spec
Updated SRPM URL: http://people.redhat.com/~overholt/eclipse-gef-3.2.0-2.src.rpm
Comment 5 Anthony Green 2006-09-02 13:14:55 EDT
More on rpmlint output...

========= eclipse-gef-3.2.0-2.i386.rpm
W: eclipse-gef non-standard-group Text Editors/Integrated Development
Environments (IDE)

The other IDEs in Fedora Extras use "Development/Tools".  On the other hand, 
eclipse-gef isn't really an IDE or a tool, it's just a library that can also be
used for RCP apps and not just within Eclipse.  I recommend changing this to
"System Environment/Libraries", since that's all this really is.  

W: eclipse-gef invalid-license Eclipse Public License - v 1.0 (EPL)
<http://www.eclipse.org/legal/epl-v10.html>

Please just change this to "Eclipse Public License".  We don't put URLs here.

W: eclipse-gef no-documentation

The packaging rules say...
"If (and only if) the source package includes the text of the license(s) in its
own file, then that file, containing the text of the license(s) for the package
must be included in %doc."

I realize that Eclipse & friends install license somewhere else by default, but
we should really put a copy in this directory as well as per the packaging
guidelines.  Eventually this should be done for all Eclipse packages.  I think
maybe only one or two do this today.

========= eclipse-gef-examples-3.2.0-2.i386.rpm
W: eclipse-gef-examples non-standard-group Text Editors/Integrated Development
Environments (IDE)
W: eclipse-gef-examples invalid-license Eclipse Public License - v 1.0 (EPL)
<http://www.eclipse.org/legal/epl-v10.html>

As above.

========= eclipse-gef-sdk-3.2.0-2.i386.rpm
W: eclipse-gef-sdk non-standard-group Text Editors/Integrated Development
Environments (IDE)

I think this should be "Documentation".

W: eclipse-gef-sdk invalid-license Eclipse Public License - v 1.0 (EPL)
<http://www.eclipse.org/legal/epl-v10.html>

As above.

W: eclipse-gef-sdk no-documentation

I think this is ignoreable.

========= eclipse-gef-3.2.0-2.src.rpm
W: eclipse-gef non-standard-group Text Editors/Integrated Development
Environments (IDE)
W: eclipse-gef invalid-license Eclipse Public License - v 1.0 (EPL)
<http://www.eclipse.org/legal/epl-v10.html>

As above.

W: eclipse-gef mixed-use-of-spaces-and-tabs

Just run emacs untabify on the spec file before building.





Comment 6 Andrew Overholt 2006-09-06 14:19:21 EDT
(In reply to comment #5)
> I recommend changing this to
> "System Environment/Libraries", since that's all this really is.  

Done.

> W: eclipse-gef invalid-license Eclipse Public License - v 1.0 (EPL)
> <http://www.eclipse.org/legal/epl-v10.html>
> 
> Please just change this to "Eclipse Public License".  We don't put URLs here.

Done.

> W: eclipse-gef no-documentation
> 
> The packaging rules say...
> "If (and only if) the source package includes the text of the license(s) in its
> own file, then that file, containing the text of the license(s) for the package
> must be included in %doc."
> 
> I realize that Eclipse & friends install license somewhere else by default, but
> we should really put a copy in this directory as well as per the packaging
> guidelines.  Eventually this should be done for all Eclipse packages.  I think
> maybe only one or two do this today.

Okay, I've added the epl to a GEF-owned directory.

> ========= eclipse-gef-examples-3.2.0-2.i386.rpm
> W: eclipse-gef-examples non-standard-group Text Editors/Integrated Development
> Environments (IDE)
> W: eclipse-gef-examples invalid-license Eclipse Public License - v 1.0 (EPL)
> <http://www.eclipse.org/legal/epl-v10.html>
> 
> As above.

Done.

> ========= eclipse-gef-sdk-3.2.0-2.i386.rpm
> W: eclipse-gef-sdk non-standard-group Text Editors/Integrated Development
> Environments (IDE)
> 
> I think this should be "Documentation".

I'm not sure I agree with this as it contains source plugins as well but I've
done it :)

> W: eclipse-gef-sdk invalid-license Eclipse Public License - v 1.0 (EPL)
> <http://www.eclipse.org/legal/epl-v10.html>
> 
> As above.

Done.

> W: eclipse-gef-sdk no-documentation
> 
> I think this is ignoreable.
> 
> ========= eclipse-gef-3.2.0-2.src.rpm
> W: eclipse-gef non-standard-group Text Editors/Integrated Development
> Environments (IDE)
> W: eclipse-gef invalid-license Eclipse Public License - v 1.0 (EPL)
> <http://www.eclipse.org/legal/epl-v10.html>
> 
> As above.

Yup.

> W: eclipse-gef mixed-use-of-spaces-and-tabs
> 
> Just run emacs untabify on the spec file before building.

Fixed.  I get no output from rpmlint when I run it.

Updated spec URL: http://people.redhat.com/~overholt/eclipse-gef.spec
Updated SRPM URL: http://people.redhat.com/~overholt/eclipse-gef-3.2.0-2.src.rpm
Comment 7 Anthony Green 2006-09-06 19:28:06 EDT
Almost there :-)   See the lines starting with "X".

* package meets and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
X dist tag is not present.  Add %{?dist} to Release tag.
X build root is not correct.  Use...
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
* license field matches the actual license.
* license is open source-compatible.
* License text included in package.
* source files match upstream (extracted from upstream cvs so no md5sum available.)
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock ( ).
X rpmlint on eclipse-gef says:
  W: eclipse-gef-sdk no-documentation
  It looks like you put the %docs in the examples package instead of the
eclipse-gef package.
* final provides and requires are sane:
eclipse-gef-3.2.0-2.i386.rpm
  org.eclipse.draw2d_3.2.0.R32_Maintenance.jar.so
  org.eclipse.gef_3.2.100.R32_Maintenance.jar.so
  eclipse-gef = 3.2.0-2
  =
  /usr/bin/rebuild-gcj-db
  /usr/bin/rebuild-gcj-db
  eclipse-platform
  eclipse-platform >= 1:3.2.0
  java-gcj-compat >= 1.0.33
  java-gcj-compat >= 1.0.33
  eclipse-pde
  gcc-java >= 4.0.2
  java-gcj-compat-devel >= 1.0.33

eclipse-gef-examples-3.2.0-2.i386.rpm
  org.eclipse.gef.examples.flow_3.2.0.R32_Maintenance.jar.so
  org.eclipse.gef.examples.logic_3.2.0.R32_Maintenance.jar.so
  org.eclipse.gef.examples.shapes_3.2.0.R32_Maintenance.jar.so
  org.eclipse.gef.examples.text_3.2.0.R32_Maintenance.jar.so
  eclipse-gef-examples = 3.2.0-2
  =
  eclipse-gef = 3.2.0-2
  eclipse-gef-sdk = 3.2.0-2

eclipse-gef-sdk-3.2.0-2.i386.rpm
  eclipse-gef-sdk = 3.2.0-2
  =
  eclipse-gef = 3.2.0-2

* shared libraries are present, but no ldconfig required.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is not present
* scriptlets OK
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app (no .desktop file required).
* not a web app.
Comment 8 Andrew Overholt 2006-09-06 20:30:57 EDT
(In reply to comment #7)
> X dist tag is not present.  Add %{?dist} to Release tag.

Fixed.

> X build root is not correct.  Use...
>       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Fixed.

> X rpmlint on eclipse-gef says:
>   W: eclipse-gef-sdk no-documentation
>   It looks like you put the %docs in the examples package instead of the

Fixed.

Updated spec URL: http://people.redhat.com/~overholt/eclipse-gef.spec
Updated SRPM URL: http://people.redhat.com/~overholt/eclipse-gef-3.2.0-2.fc6.src.rpm
Comment 9 Anthony Green 2006-09-06 23:17:51 EDT
(In reply to comment #8)
> Updated spec URL: http://people.redhat.com/~overholt/eclipse-gef.spec
> Updated SRPM URL:
http://people.redhat.com/~overholt/eclipse-gef-3.2.0-2.fc6.src.rpm

APPROVED.

Comment 10 Andrew Overholt 2006-09-07 14:28:07 EDT
Built.  Thanks, Anthony!

Note You need to log in before you can comment on or make changes to this bug.